/*******************************************************************
 * This file is part of the Emulex Linux Device Driver for         *
 * Fibre Channel Host Bus Adapters.                                *
 * Copyright (C) 2003-2006 Emulex.  All rights reserved.           *
 * EMULEX and SLI are trademarks of Emulex.                        *
 * www.emulex.com                                                  *
 *                                                                 *
 * This program is free software; you can redistribute it and/or   *
 * modify it under the terms of version 2 of the GNU General       *
 * Public License as published by the Free Software Foundation.    *
 * This program is distributed in the hope that it will be useful. *
 * ALL EXPRESS OR IMPLIED CONDITIONS, REPRESENTATIONS AND          *
 * WARRANTIES, INCLUDING ANY IMPLIED WARRANTY OF MERCHANTABILITY,  *
 * FITNESS FOR A PARTICULAR PURPOSE, OR NON-INFRINGEMENT, ARE      *
 * DISCLAIMED, EXCEPT TO THE EXTENT THAT SUCH DISCLAIMERS ARE HELD *
 * TO BE LEGALLY INVALID.  See the GNU General Public License for  *
 * more details, a copy of which can be found in the file COPYING  *
 * included with this package.                                     *
 *******************************************************************/

/* 
 * $Id: mpl_mem.h 1005 2006-01-27 17:27:22Z hdaschbach $
 */

extern int mpl_create_mem_pool(void);
extern void mpl_destroy_mem_pool(void);
extern struct scsi_cmnd *mpl_get_scsi_cmd(void);
extern void mpl_put_scsi_cmd(struct scsi_cmnd *);
extern void *mpl_get_scsi_buf(void);
extern void mpl_put_scsi_buf(void *);

extern struct io_stub *mpl_stub_alloc(struct scsi_cmnd *cmd,
				      struct mpl_path *path,
				      void (*done)(struct scsi_cmnd *));
extern void mpl_stub_free(struct io_stub *stub);
